<edit file>
$boarddir/changelog.txt
</edit file>

<search for>
SMF 1.1                                                        December 02, 2006
================================================================================
</search for>

<replace>
SMF 1.1.1                                                      December 17, 2006
================================================================================
December 2006
--------------------------------------------------------------------------------
 ! Fixed multi-language support for Mambo/Joomla bridge login module on non-forum pages. (Mambo/Joomla bridge/mod_smf_login.php)
 + Added register mambot to Mambo 4.6 bridge so that users who register in Mambo are auto-created in SMF. (Mambo 4.6 bridge/SMF_register.php, SMF_register.xml)
 ! Fixed bridge registration so that it uses Mambo 4.6's new language method. (Mambo 4.6 bridge/smf_registration.html.php)
 ! The regular expression used for parsing '/me'-lines didn't work properly in older PHP versions. (Subs-Post.php)
 ! Fixed usage of array before it was declared (Load.php)
 ! Mambo/Joomla bridge config should go to main admin page if "Cancel" is clicked (Mambo/Joomla bridge/admin.smf.php)
 ! Fixed a missing global (Mambo 4.6 bridge/smf.php)
 + Changed the SEF handling in the bridge for use with third party Joomla SEF components (Mambo/Joomla bridge/smf.php)
 + Added Kindred's enhancements to the bridged whos online (Mambo/Joomla bridge/smf.php, smf_integration_arrays.php)
 ! Deleting a member in SMF deleted in Joomla, but not in Joomla's ACL (Mambo/Joomla bridge/smf.php)
 ! Bridge login module didn't handle language variables correctly. (Mambo/Joomla bridge/mod_smf_login.php)
 ! Some dates in the installation script were not MySQL STRICT compatible. (install-1.1.sql)
 ! Log the ban check IP in messages. (Subs-Post.php)
 ! It was possible for files to be sent with the wrong mime type - reported by Jessica Hope and rotwang. (Display.php)
 * Search template looked a little odd on IE. (Search template)
 * In prune boards the checkbox for stickies would toggle with the board selection. (Admin template)
 ! Send annoucements in slightly smaller chunks. (Post.php)
 ! Make it impossible to make guests too much like administrators. (ManagePermissions.php)
 ! Aposthophes in smiley directories would cause a SQL error. (ManageSmileys.php)
 ! Fixed labelling personal messages not being restricted to the current member. (PersonalMessage.php)
 ! In rare cases search didn't return any results, while it should have. (Search.php)


SMF 1.1                                                        December 02, 2006
================================================================================
</replace>

<edit file>
$boarddir/index.php
</edit file>

<search for>
$forum_version = 'SMF 1.1';
</search for>

<replace>
$forum_version = 'SMF 1.1.1';
</replace>

<search for>
* Software Version:           SMF 1.1                                             *
</search for>

<replace>
* Software Version:           SMF 1.1.1                                           *
</replace>

<edit file>
$sourcedir/Subs-Post.php
</edit file>

<search for>
	$posterOptions['ip'] = empty($posterOptions['ip']) ? $user_info['ip'] : $posterOptions['ip'];
</search for>

<replace>
	$posterOptions['ip'] = empty($posterOptions['ip']) ? $user_info['ip2'] : $posterOptions['ip'];
</replace>

<search for>
			if (strpos($user_info['name'], '[') !== false || strpos($user_info['name'], ']') !== false || strpos($user_info['name'], '\'') !== false || strpos($user_info['name'], '"') !== false)
				$parts[$i] = preg_replace('~(?:\A|\n)/me(?: |&nbsp;)([^\n\z]*)~i', '[me=&quot;' . $user_info['name'] . '&quot;]$1[/me]', $parts[$i]);
			else
				$parts[$i] = preg_replace('~(?:\A|\n)/me(?: |&nbsp;)([^\n\z]*)~i', '[me=' . $user_info['name'] . ']$1[/me]', $parts[$i]);
</search for>

<replace>
			if (strpos($user_info['name'], '[') !== false || strpos($user_info['name'], ']') !== false || strpos($user_info['name'], '\'') !== false || strpos($user_info['name'], '"') !== false)
				$parts[$i] = preg_replace('~(?:\A|\n)/me(?: |&nbsp;)([^\n\z]*)~i', '[me=&quot;' . $user_info['name'] . '&quot;]$1[/me]', $parts[$i]);
			else
				$parts[$i] = preg_replace('~(?:\A|\n)/me(?: |&nbsp;)([^\n\z]*)~i', '[me=' . $user_info['name'] . ']$1[/me]', $parts[$i]);
</replace>

<search for>
* Software Version:           SMF 1.1                                             *
</search for>

<replace>
* Software Version:           SMF 1.1.1                                           *
</replace>

<edit file>
$sourcedir/Load.php
</edit file>

<search for>
	$space_chars = $utf8 ? ($context['server']['complex_preg_chars'] ? '\x{C2A0}\x{E28080}-\x{E2808F}\x{E280AF}\x{E2809F}\x{E38080}\x{EFBBBF}' : sprintf('%c%c%c%c%c-%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c', 0xC2, 0xA0, 0xE2, 0x80, 0x80, 0xE2, 0x80, 0x8F, 0xE2, 0x80, 0xAF, 0xE2, 0x80, 0x9F, 0xE3, 0x80, 0x80, 0xEF, 0xBB, 0xBF)) : '\xA0';
</search for>

<replace>
	$space_chars = $utf8 ? (@version_compare(PHP_VERSION, '4.3.3') != -1 ? '\x{C2A0}\x{E28080}-\x{E2808F}\x{E280AF}\x{E2809F}\x{E38080}\x{EFBBBF}' : sprintf('%c%c%c%c%c-%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c', 0xC2, 0xA0, 0xE2, 0x80, 0x80, 0xE2, 0x80, 0x8F, 0xE2, 0x80, 0xAF, 0xE2, 0x80, 0x9F, 0xE3, 0x80, 0x80, 0xEF, 0xBB, 0xBF)) : '\xA0';
</replace>

<search for>
* Software Version:           SMF 1.1                                             *
</search for>

<replace>
* Software Version:           SMF 1.1.1                                           *
</replace>

<edit file>
$sourcedir/Display.php
</edit file>

<search for>
	if (!isset($_REQUEST['image']))
	{
		header('Content-Disposition: attachment; filename="' . $real_filename . '"');
		header('Content-Type: application/octet-stream');
	}

	if (filesize($filename) != 0)
	{
		$size = @getimagesize($filename);
		if (!empty($size) && $size[2] > 0 && $size[2] < 4)
			header('Content-Type: image/' . ($size[2] != 1 ? ($size[2] != 2 ? 'png' : 'jpeg') : 'gif'));
		// Errr, it's an image.... what kind?  A... gif?  Yeah that's it, gif!  Like JIF, the peanut butter.
		elseif (isset($_REQUEST['image']))
			header('Content-Type: image/gif');
	}
</search for>

<replace>
	if (filesize($filename) != 0)
	{
		$size = @getimagesize($filename);
		if (!empty($size))
		{
			// What headers are valid?
			$validTypes = array(
				1 => 'gif',
				2 => 'jpeg',
				3 => 'png',
				5 => 'psd',
				6 => 'bmp',
				7 => 'tiff',
				8 => 'tiff',
				9 => 'jpeg',
				14 => 'iff',
			);

			// Do we have a mime type we can simpy use?
			if (!empty($size['mime']))
				header('Content-Type: ' . $size['mime']);
			elseif (isset($validTypes[$size[2]]))
				header('Content-Type: image/' . $validTypes[$size[2]]);
			// Otherwise - let's think safety first... it might not be an image...
			elseif (isset($_REQUEST['image']))
				unset($_REQUEST['image']);
		}
		// Once again - safe!
		elseif (isset($_REQUEST['image']))
			unset($_REQUEST['image']);
	}

	if (!isset($_REQUEST['image']))
	{
		header('Content-Disposition: attachment; filename="' . $real_filename . '"');
		header('Content-Type: application/octet-stream');
	}
</replace>

<search for>
* Software Version:           SMF 1.1                                             *
</search for>

<replace>
* Software Version:           SMF 1.1.1                                           *
</replace>

<edit file>
$themedir/Search.template.php
</edit file>

<search for>
								<div style="width: 50%;">
</search for>

<replace>
								<div style="width: 45%;">
</replace>

<search for>
								<div style="text-align: left; width: 50%; float: right; margin-right: 2ex;">
</search for>

<replace>
								<div style="text-align: left; width: 45%; float: right; margin-right: 2ex;">
</replace>

<search for>
// Version: 1.1; Search
</search for>

<replace>
// Version: 1.1.1; Search
</replace>

<edit file>
$themedir/Admin.template.php
</edit file>

<search for>
								if (document.forms.rotForm.elements[i].type.toLowerCase() == "checkbox")
</search for>

<replace>
								if (document.forms.rotForm.elements[i].type.toLowerCase() == "checkbox" && document.forms.rotForm.elements[i].id != "delete_old_not_sticky")
</replace>

<search for>
// Version: 1.1; Admin
</search for>

<replace>
// Version: 1.1.1; Admin
</replace>

<edit file>
$sourcedir/Post.php
</edit file>

<search for>
	$chunkSize = 75;
</search for>

<replace>
	$chunkSize = 50;
</replace>

<search for>
* Software Version:           SMF 1.1                                             *
</search for>

<replace>
* Software Version:           SMF 1.1.1                                           *
</replace>

<edit file>
$sourcedir/ManagePermissions.php
</edit file>

<search for>
	}

	redirectexit('action=permissions;boardid=' . $_REQUEST['boardid']);
</search for>

<replace>
	}

	// Don't allow guests to have certain permissions.
	db_query("
		DELETE FROM {$db_prefix}permissions
		WHERE ID_GROUP = -1 AND
			(permission = 'manage_membergroups'
			OR permission = 'manage_permissions'
			OR permission = 'admin_forum')", __FILE__, __LINE__);

	redirectexit('action=permissions;boardid=' . $_REQUEST['boardid']);
</replace>

<search for>
* Software Version:           SMF 1.1                                             *
</search for>

<replace>
* Software Version:           SMF 1.1.1                                           *
</replace>

<edit file>
$sourcedir/ManageSmileys.php
</edit file>

<search for>
				'smiley_sets_known' => implode(',', $set_paths),
				'smiley_sets_names' => implode("\n", $set_names),
				'smiley_sets_default' => in_array($modSettings['smiley_sets_default'], $set_paths) ? $modSettings['smiley_sets_default'] : $set_paths[0],
</search for>

<replace>
				'smiley_sets_known' => addslashes(implode(',', $set_paths)),
				'smiley_sets_names' => addslashes(implode("\n", $set_names)),
				'smiley_sets_default' => addslashes(in_array($modSettings['smiley_sets_default'], $set_paths) ? $modSettings['smiley_sets_default'] : $set_paths[0]),
</replace>

<search for>
					'smiley_sets_known' => $modSettings['smiley_sets_known'] . ',' . $_POST['smiley_sets_path'],
					'smiley_sets_names' => $modSettings['smiley_sets_names'] . "\n" . $_POST['smiley_sets_name'],
					'smiley_sets_default' => empty($_POST['smiley_sets_default']) ? $modSettings['smiley_sets_default'] : $_POST['smiley_sets_path'],
</search for>

<replace>
					'smiley_sets_known' => addslashes($modSettings['smiley_sets_known']) . ',' . $_POST['smiley_sets_path'],
					'smiley_sets_names' => addslashes($modSettings['smiley_sets_names']) . "\n" . $_POST['smiley_sets_name'],
					'smiley_sets_default' => empty($_POST['smiley_sets_default']) ? addslashes($modSettings['smiley_sets_default']) : $_POST['smiley_sets_path'],
</replace>

<search for>
				$set_paths[$_POST['set']] = $_POST['smiley_sets_path'];
				$set_names[$_POST['set']] = $_POST['smiley_sets_name'];
				updateSettings(array(
					'smiley_sets_known' => implode(',', $set_paths),
					'smiley_sets_names' => implode("\n", $set_names),
					'smiley_sets_default' => empty($_POST['smiley_sets_default']) ? $modSettings['smiley_sets_default'] : $_POST['smiley_sets_path']
</search for>

<replace>
				$set_paths[$_POST['set']] = stripslashes($_POST['smiley_sets_path']);
				$set_names[$_POST['set']] = stripslashes($_POST['smiley_sets_name']);
				updateSettings(array(
					'smiley_sets_known' => addslashes(implode(',', $set_paths)),
					'smiley_sets_names' => addslashes(implode("\n", $set_names)),
					'smiley_sets_default' => empty($_POST['smiley_sets_default']) ? addslashes($modSettings['smiley_sets_default']) : $_POST['smiley_sets_path']
</replace>

<search for>
		'smiley_sets_known' => $modSettings['smiley_sets_known'] . ',' . $name,
		'smiley_sets_names' => $modSettings['smiley_sets_names'] . "\n" . strtok(basename(isset($_FILES['set_gz']) ? $_FILES['set_gz']['name'] : $_REQUEST['set_gz']), '.')
</search for>

<replace>
		'smiley_sets_known' => addslashes($modSettings['smiley_sets_known'] . ',' . $name),
		'smiley_sets_names' => addslashes($modSettings['smiley_sets_names'] . "\n" . strtok(basename(isset($_FILES['set_gz']) ? $_FILES['set_gz']['name'] : $_REQUEST['set_gz']), '.'))
</replace>

<search for>
* Software Version:           SMF 1.1                                             *
</search for>

<replace>
* Software Version:           SMF 1.1.1                                           *
</replace>

<edit file>
$sourcedir/PersonalMessage.php
</edit file>

<search for>
				WHERE FIND_IN_SET('" . implode("', labels) OR FIND_IN_SET('", $searchArray) . "', labels)", __FILE__, __LINE__);
</search for>

<replace>
				WHERE FIND_IN_SET('" . implode("', labels) OR FIND_IN_SET('", $searchArray) . "', labels)
					AND ID_MEMBER = $ID_MEMBER", __FILE__, __LINE__);
</replace>

<search for>
* Software Version:           SMF 1.1                                             *
</search for>

<replace>
* Software Version:           SMF 1.1.1                                           *
</replace>

<edit file>
$sourcedir/Search.php
</edit file>

<search for>
			else
				$_SESSION['search_cache']['num_results'] = 0;
</search for>

<replace>
			elseif ($_SESSION['search_cache']['num_results'] === -1)
				$_SESSION['search_cache']['num_results'] = 0;
</replace>

<search for>
* Software Version:           SMF 1.1                                             *
</search for>

<replace>
* Software Version:           SMF 1.1.1                                           *
</replace>